<div
  class="full-height full-width flex-column login-page neutral-background-color overflow-hidden"
  [sqtmCoreWorkspace]="'home-workspace'"
>
  <sqtm-core-horizontal-logout-bar
    class="flex-fixed-size full-width"
    [squashVersion]="null"
  >
  </sqtm-core-horizontal-logout-bar>

  @if (isInProgressStatus() | async) {
    <div
      class="flex-fixed-size m-auto p-30 container-background-color container-border"
      style="max-width: 80%"
    >
      <div style="text-align: center" class="p-b-5">
        <i
          class="current-workspace-main-color loading-icon"
          nz-icon
          nzType="loading"
          nzTheme="outline"
        ></i>
      </div>
      <h2 class="messageTitle">
        {{ 'sqtm-core.oauth-pages.loading.title' | translate }}
      </h2>
    </div>
  }

  @if (isSuccessStatus() | async) {
    <div
      class="flex-fixed-size m-auto p-30 container-background-color container-border"
      style="max-width: 80%"
    >
      <div style="text-align: center">
        <i
          nz-icon
          class="success-icon"
          nzType="sqtm-core-infolist-item:checked_checkbox"
          nzTheme="outline"
        ></i>
      </div>
      <h2 class="messageTitle">
        {{ 'sqtm-core.oauth-pages.success.title' | translate }}
      </h2>
      <p class="messageBody">
        {{ 'sqtm-core.oauth-pages.success.message' | translate }}
      </p>
    </div>
  }

  @if (isFailureStatus() | async) {
    <div
      class="flex-fixed-size m-auto p-30 container-background-color container-border"
      style="max-width: 80%"
    >
      <div style="text-align: center">
        <i
          nz-icon
          class="failure-icon"
          nzType="sqtm-core-infolist-item:cancel"
          nzTheme="outline"
        ></i>
      </div>
      <h2 class="messageTitle">
        {{ 'sqtm-core.oauth-pages.failure.title' | translate }}
      </h2>
      <p class="messageBody">
        {{ 'sqtm-core.oauth-pages.failure.message' | translate }}
      </p>
    </div>
  }
</div>
